<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\DB;

class RedesignPropertyContent extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {



        DB::statement("TRUNCATE TABLE `property_content_category` ");
        DB::statement("INSERT INTO `property_content_category`(`name`, `status`, `created_by`, `updated_by`, `created_at`, `updated_at`) VALUES ('Legal Notice', 1, 1, 1, 1, 1) ");



        DB::statement('
        ALTER TABLE `property_content`
CHANGE COLUMN `locale` `language_code` varchar(10) NOT NULL AFTER `content_category_id`,
MODIFY COLUMN `property_id` int(10) UNSIGNED NULL AFTER `id`,
MODIFY COLUMN `content` text  NULL AFTER `language_code`;

        ');
    }


}
